(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', './utils/markdown-converter'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('./utils/markdown-converter'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.markdownConverter);
    global.ReactMarkdownMagic = mod.exports;
  }
})(this, function (exports, _react, _markdownConverter) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _markdownConverter2 = _interopRequireDefault(_markdownConverter);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var ReactMarkdownMagic = function (_React$Component) {
    _inherits(ReactMarkdownMagic, _React$Component);

    function ReactMarkdownMagic() {
      _classCallCheck(this, ReactMarkdownMagic);

      return _possibleConstructorReturn(this, Object.getPrototypeOf(ReactMarkdownMagic).apply(this, arguments));
    }

    _createClass(ReactMarkdownMagic, [{
      key: 'render',
      value: function render() {
        var markup = { __html: _markdownConverter2.default.render(this.props.children) };

        return _react2.default.createElement('div', { dangerouslySetInnerHTML: markup });
      }
    }]);

    return ReactMarkdownMagic;
  }(_react2.default.Component);

  exports.default = ReactMarkdownMagic;
});