(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'markdown-it', 'highlight.js'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('markdown-it'), require('highlight.js'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.markdownIt, global.highlight);
    global.markdownConverter = mod.exports;
  }
})(this, function (exports, _markdownIt, _highlight) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _markdownIt2 = _interopRequireDefault(_markdownIt);

  var _highlight2 = _interopRequireDefault(_highlight);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var markdownMagicMaker = new _markdownIt2.default({
    html: true,
    linkify: true,
    typographer: true,
    highlight: function highlight(str, lang) {
      if (lang && _highlight2.default.getLanguage(lang)) {
        try {
          return '<pre class="hljs ' + lang + '"><code>' + _highlight2.default.highlight(lang, str, true).value + '</code></pre>';
        } catch (ex) {
          console.warn('Failed parsing language: ', ex);
        }
      }

      return ''; // use external default escaping
    }
  });

  exports.default = markdownMagicMaker;
});