import MarkdownIt from 'markdown-it';
import hljs from 'highlight.js';

const markdownMagicMaker = new MarkdownIt({
  html: true,
  linkify: true,
  typographer: true,
  highlight: function (str, lang) {
    if (lang && hljs.getLanguage(lang)) {
      try {
        return `<pre class="hljs ${lang}"><code>` +
               hljs.highlight(lang, str, true).value +
               '</code></pre>';
      } catch (ex) {
        console.warn('Failed parsing language: ', ex);
      }
    }

    return ''; // use external default escaping
  }
});

export default markdownMagicMaker;
